TITLE CREATEISO 1.0

@ECHO off
CLS

ECHO.
ECHO            CREATEISO lets you create authentic Windows 7 and Windows 
ECHO          Server 2008 R2 ISOs from a folder containing the setup files.
ECHO.

ECHO ===============================================================================
ECHO.

SET /P LABEL=Volume ID of the image (Example: GB1CULXFRER_EN_DVD): 
ECHO.

SET /P FILENAME=Filename of the image: 
ECHO.

SET /P TIMEDATE=Time/date stamps of the files (Format: 02/20/2009,17:03:00): 
ECHO.

SET /P SOURCEDIR=Where are the source files located: 
ECHO.

SET /P TARGETDIR=Where do you want the image save to: 
ECHO.

ECHO ===============================================================================
ECHO.

SET BOOTSECTOR=boot

ECHO Removing any possible attributes set on %SOURCEDIR% and its subfolders...
ATTRIB -R -H %SOURCEDIR% /S /D
ECHO.
ECHO Creating ISO...
CDIMAGE.EXE -l%LABEL% -t%TIMEDATE% -h -u2 -m -b%BOOTSECTOR% %SOURCEDIR% %TARGETDIR%%FILENAME%
ECHO.
PAUSE > NUL